//转换成大写字母
function tobig(mystr) 
{ 
	var msg=""; 
	msg=mystr.toUpperCase(); 
	return msg;
} 
//预订机票
function bookFlight(flightNo, cabinCode, guidCode) {
	var tcrefid="1590301"; //同程代理ID
	var apiorderurl=apiorderurl="http://www.17u.cn/flight/flight-neBookPort.aspx?type=1&";
	var KeyCode;
	KeyCode = hex_md5(tobig(guidCode)+"*"+tobig(flightNo)+"*"+tobig(cabinCode)+"*TCTZB");
	var keycode;
	keycode = tobig(guidCode)+"*"+tobig(flightNo)+"*"+tobig(cabinCode)+"*TCTZB";
	var orderurl;
	orderurl=apiorderurl+"goguid="+guidCode+"&goflightNo="+flightNo+"&goCabinCode="+cabinCode+"&KeyCode="+tobig(KeyCode)+"&refid="+tcrefid;
	//document.write(orderurl);
	window.open(orderurl);
}
//显示退改签规则和飞机型号层
function ShowDiv(oInputSrc, DivName) {
    if (oInputSrc) {
        var objDiv = $(DivName);
        objDiv.style.pixelLeft = PointsPos(oInputSrc, "Left");
        objDiv.style.pixelTop = PointsPos(oInputSrc, "Top") + oInputSrc.offsetHeight;
        objDiv.style.display = objDiv.style.display == "" ? "none": "";
    }
}
//关闭奖金的层
function CloseJiangjin(DivName) {
    var objDiv = $(DivName);
    objDiv.style.display = "none";
}
function ShowFliterDiv(id) {
    if ($(id)) {
        if ($(id).style.display == "none" || $(id).style.display == "") {
            $(id).style.display = "block";
        } else {
            $(id).style.display = "none";
        }
    }
}